/*  
  HELLO GOODBY 
  プッシュボタンを押すとHELLOの文字表示
  もう一度押すとGOODBYの文字表示
 */
 
 #define  btn 16
 
 //関数の宣言
void display_HELLO();
void display_GOODBY();

void b();
void d();
void e();
void g();
void h();
void l();
void o();
void y();
 
/*状態遷移 s
  s=0:シャッフル開始前、開始ボタンを待つ状態
  s=1:シャッフルスタートするが、開始ボタンが押されたままの状態
  s=2:シャッフル中、開始ボタンが一度離され、停止ボタンとして待つ間
  s=3:シャッフル停止するが、停止ボタンが押されたままの状態
*/
int s; 
int T=300;
int v=50;  //シャッフルのスピード(画面切替の待ち時間)
 
// setupのあと{}で囲まれた部分は最初に1回だけ実行される
void setup() {;  
  
  //ピンの設定  
  pinMode(16,INPUT);  //スタートストップボタン
  
  pinMode(4, OUTPUT);  //LED表示
  pinMode(6, OUTPUT); 
  pinMode(7, OUTPUT);
  pinMode(8, OUTPUT);  
  pinMode(11, OUTPUT); 
  pinMode(12, OUTPUT); 
  pinMode(13, OUTPUT);  
  
  //状態は0から始める
  s = 0;
 
 display_HELLO(); 
 delay(500);
 display_GOODBY();
 
  
}

// loopのあと{}で囲まれた部分は繰り返される
void loop() 
{
 
}
   
        

void display_HELLO() {
  h();
    delay(T);
    off();
    delay(T);
  e();
    delay(T);
    off();
    delay(T);
  l();
    delay(T);
    off();
    delay(T);
  l();
    delay(T);
    off();
    delay(T);
  o();
    delay(T);
    off();
    delay(T);
  
}

void display_GOODBY() {
  g();
    delay(T);
    off();
    delay(T);
  o();
    delay(T);
    off();
    delay(T);
  o();
    delay(T);
    off();
    delay(T);
  d();
    delay(T);
    off();
    delay(T);
  b();
    delay(T);
    off();
    delay(T);
  y();
    delay(T);
    off();
    delay(T);
  
  
}

// 全消灯
void off(){
 digitalWrite(4, LOW);
 digitalWrite(6, LOW);
 digitalWrite(7, LOW);
 digitalWrite(8, LOW);
 digitalWrite(11, LOW);
 digitalWrite(12, LOW);
 digitalWrite(13, LOW);
}

//文字表示
void b(){
 digitalWrite(4, LOW);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, LOW);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
} 

void d(){
  digitalWrite(4, LOW);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, HIGH);
}

void e(){
 digitalWrite(4, HIGH);
 digitalWrite(6, LOW);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, LOW);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

void g(){
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, LOW);
 digitalWrite(12, HIGH);
 digitalWrite(13, LOW);
}

void h(){
 digitalWrite(4, LOW);
 digitalWrite(6, HIGH);
 digitalWrite(7, LOW);
 digitalWrite(8, HIGH);
 digitalWrite(11, LOW);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

void l(){
 digitalWrite(4, LOW);
 digitalWrite(6, LOW);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, LOW);
 digitalWrite(12, HIGH);
 digitalWrite(13, LOW);
}

void o(){
 digitalWrite(4, LOW);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, LOW);
 digitalWrite(12, LOW);
 digitalWrite(13, HIGH);
}

void y(){
 digitalWrite(4, LOW);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}



