/*
  DigitalReadSerial
スイッチが
押されているとき   1
押されていないとき 0
の2種類の値で読み取る 
 */

// プッシュボタンは16ピン
int pushButton = 16;

// the setup routine runs once when you press reset:
void setup() {
  // パソコンとの通信速度の設定
  Serial.begin(9600);
  // 入力ピンに指定
  pinMode(pushButton, INPUT);
}

// the loop routine runs over and over again forever:
void loop() {
  // ピンの値を読み取る
  int buttonState = digitalRead(pushButton);
  // ピンの値を送信する
  Serial.println(buttonState);
  delay(1);        // delay in between reads for stability
}



