/*  
  CountUP カウントアップ
  プッシュボタンを押すと表示がひとつ増える
 */
 
 #define  btn 16
 
 //関数の宣言
void display0(); 
void display1();
void display2();
void display3();
void display4();
void display5();
void display6();
void display7();
void display8();
void display9();

 
/*ボタンを押し続けたときに連続してカウントアップしないよう
　ボタンの状態を記録して、ボタンがOFFからONに変化したときだけ
　カウントアップするようにする。
*/

int lastButton;    //直前のボタン状態　 
int num; //現在の値
 
// setupのあと{}で囲まれた部分は最初に1回だけ実行される
void setup() {
  
  //ピンの設定  
  pinMode(16,INPUT);  //スタートストップボタン
  
  pinMode(4, OUTPUT);  //LEDの接続されたピンを出力に設定
  pinMode(6, OUTPUT); 
  pinMode(7, OUTPUT);
  pinMode(8, OUTPUT);  
  pinMode(11, OUTPUT); 
  pinMode(12, OUTPUT); 
  pinMode(13, OUTPUT);  
  
  lastButton = digitalRead(btn); //最初のボタンの状態を得る
  num = 0;//カウント初期化
}

// loopのあと{}で囲まれた部分は繰り返される。
void loop() 
{    
  //ボタンがOFF→ON なら加算
    if(lastButton==0 && digitalRead(btn) ==1)
    {
      lastButton = digitalRead(btn); //ボタンの状態をlastButtonに記録
      num=num+1;//カウント数を加算   
    
    //numの値に合わせてどの数字を表示させるかの分岐処理
        switch(num)
        {
          case 0 : display0();break;
          case 1 : display1();break;
          case 2 : display2();break;
          case 3 : display3();break;
          case 4 : display4();break;
          case 5 : display5();break;
          case 6 : display6();break;
          case 7 : display7();break;
          case 8 : display8();break;
          case 9 : display9();break;
          case 10 : num= 0;display0();break;
        }
        
      } else{
			lastButton = digitalRead(btn);
  		}
  		 delay(10);
}

//ＬＥＤ表示関数
void display0() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, HIGH);
 digitalWrite(12, HIGH);
 digitalWrite(13, LOW);
}

void display1() {
 digitalWrite(4, LOW);
 digitalWrite(6, HIGH);
 digitalWrite(7, LOW);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, LOW);
}

void display2() {
 digitalWrite(4, HIGH);
 digitalWrite(6, LOW);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, HIGH);
}

void display3() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, HIGH);
}

void display4() {
 digitalWrite(4, LOW);
 digitalWrite(6, HIGH);
 digitalWrite(7, LOW);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

void display5() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, LOW);
 digitalWrite(11, LOW);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

void display6() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, LOW);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

void display7() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, LOW);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, LOW);
}

void display8() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, HIGH);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}
void display9() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}
