/*
  LED_Brightness:  LEDの明るさを変える。
 */
 
// LED接続ピンを指定する 5,6,9,10,11のみ
int led = 10;

// setupのあと{}で囲まれた部分は最初に1回だけ実行される
void setup() {                
  // LED点灯させるピンを出力ピンに指定する
  pinMode(led, OUTPUT);     
}

// loopのあと{}で囲まれた部分は繰り返される。
//明るさは0-255の範囲
void loop() {
  analogWrite(led, 50);   // LEDをつける。明るさは50。
  delay(500);               // そのまま待つ。時間の単位はｍS
  analogWrite(led, 125);    // 明るさ125にする。
  delay(500);               //そのまま待つ。
  analogWrite(led, 255);    // 明るさ255にする。
  delay(500);               //そのまま待つ。
  analogWrite(led, 0);    // LEDを消す。
  delay(500);               //そのまま待つ。
}
