/*
  AnalogReadSerial:ボリュームやセンサーの値を0から1023の範囲で読み取る
  読み取った値をシリアルモニターを使ってパソコンに表示する
  A0ピン　ボリューム
  A1ピン　明るさセンサー
 */

// setupのあと{}で囲まれた部分は最初に1回だけ実行される
void setup() {
  // パソコンとの通信速度の設定
  Serial.begin(9600);
}

// loopのあと{}で囲まれた部分は繰り返される。
void loop() {
  //A0ピンの値を読み取ってsensorValueに保存する
  int sensorValue = analogRead(A0);
  //sensorValueの値を送信
  Serial.println(sensorValue);
  delay(100);        // 次の測定まで0.1秒待つ
}
