/*
  Renda: 連打
  指定回数ボタンが押されたらＬＥＤをつける
 */
 
 #include "pitches.h"
  
// LED接続ピンを指定する
int led = 5;
//ボタンを押された数
int count ;

/*ボタンを押し続けたとき連続してカウントアップしないようボタンの状態も合わせて見る
  s=0:ボタンが押されていない状態
  s=1:ボタンが押された状態
*/
int s;    //ボタン状態　 

// setupのあと{}で囲まれた部分は最初に1回だけ実行される
void setup() {                
  // LED点灯させるピンを出力ピンに指定する
  pinMode(led, OUTPUT);
  //初期設定
  s = 0;
  count = 0;
  digitalWrite(led,LOW);
  //スタートの合図
  tone(2, NOTE_C8,100); 
  

  //カウントが10になるまではwhileでくりかえす
  while (count<10)
  {  
    //ボタンが押されたとき
    if(s== 0 && digitalRead(16) == 1)
    {
     count = count+1;
     s = 1; 
    }
    
    //安定のための待ち時間
     delay(20);
     
    //ボタンを離したとき
    if(s == 1 && digitalRead(16) == 0)
    {
      s = 0;
    } 

  }
  digitalWrite(led,HIGH);
}

// loopのあと{}で囲まれた部分は繰り返される。
void loop() {
}
