/*  
  dice1 電子サイコロ1
  プッシュボタンを押している間だけシャッフル
 */
 
 #define  btn 16
 
 //関数の宣言
void display1();
void display2();
void display3();
void display4();
void display5();
void display6();
 
int s; //ボタンの状態 
int v=50;  //シャッフルのスピード(画面切替の待ち時間)
 
// setupのあと{}で囲まれた部分は最初に1回だけ実行される
void setup() {
  
  //ピンの設定  
  pinMode(16,INPUT);  //スタートストップボタン
  
  pinMode(4, OUTPUT);  //LED表示
  pinMode(6, OUTPUT); 
  pinMode(7, OUTPUT);
  pinMode(8, OUTPUT);  
  pinMode(11, OUTPUT); 
  pinMode(12, OUTPUT); 
  pinMode(13, OUTPUT);
  
}

// loopのあと{}で囲まれた部分は繰り返される。
void loop() 
{
  //ボタンの状態を見る
    s = digitalRead(btn);    
    
  //ボタンが押されたらシャッフル開始。whileを使って表示を高速で繰り返す
    if(s == 1)
    {  
       while(1)
          {            
            display1(); //サイコロ1表示
            //シャッフル中にボタンが離されたら繰り返しを抜ける
            if(digitalRead(btn) == LOW){break;}
              delay(v); 
            display2(); //サイコロ2表示
            if(digitalRead(btn) == LOW){break;}
              delay(v);
            display3(); //サイコロ3表示
            if(digitalRead(btn) == LOW){break;}
              delay(v);
            display4(); //サイコロ4表示
            if(digitalRead(btn) == LOW){break;}
              delay(v);
            display5(); //サイコロ5表示
            if(digitalRead(btn) == LOW){break;}
              delay(v);
            display6(); //サイコロ6表示
            if(digitalRead(btn) == LOW){break;}
              delay(v); 
          }
    }
}
   
        

void display1() {
 digitalWrite(4, LOW);
 digitalWrite(6, HIGH);
 digitalWrite(7, LOW);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, LOW);
}

void display2() {
 digitalWrite(4, HIGH);
 digitalWrite(6, LOW);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, HIGH);
}

void display3() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, HIGH);
}

void display4() {
 digitalWrite(4, LOW);
 digitalWrite(6, HIGH);
 digitalWrite(7, LOW);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

void display5() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, LOW);
 digitalWrite(11, LOW);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

void display6() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, LOW);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

