

 int LED_R = 9;                //LED 赤
 int LED_G = 10;               //LED 緑
 int LED_B = 5;               //LED 青
 int BUTTON = 16;
 boolean readBUTTON = false; //ボタンの状態を入れる変数
 boolean lastBUTTON = false; //直前のボタンの状態
 boolean nowLED= false;   //現在のLEDの状態
 
 
 unsigned long oldTime = 0;		//時間計測タイマー
 unsigned long nowTime ;
 int scroll=20;                        //さいころのスピード
 
 //boolean timeUp = false;	//タイムアップ
 
 int count;			//さいころの目
 boolean shuffle = false;	//シャッフルされているかどうか


 //関数の宣言
void Dice();
boolean chk_Time();
boolean chk_SW();
void RGB_OFF();
void Display();
void LED_OFF();
void LED_0();
void LED_1();
void LED_2();
void LED_3();
void LED_4();
void LED_5();
void LED_6();
void LED_7();
void LED_8();
void LED_9();


void setup() {
  
   Serial.begin(9600);
  
  // 入出力の設定
 pinMode (LED_R,OUTPUT);
 pinMode (LED_G,OUTPUT);
 pinMode (LED_B,OUTPUT);
 pinMode(4, OUTPUT);
 pinMode(6, OUTPUT);
 pinMode(7, OUTPUT);
 pinMode(8, OUTPUT);
 pinMode(11, OUTPUT);
 pinMode(12, OUTPUT);
 pinMode(13, OUTPUT);

 pinMode(BUTTON,INPUT);

   //最初はLEDを消した状態
 RGB_OFF();   
 LED_OFF();
}//end setup


//メイン処理
void loop() { 

if(chk_SW()== true && shuffle == false){
  shuffle = true;
  count = 1;//millis()%6+1;		//シャッフル開始の乱数
  Display();
  Dice();			//さいころを始める
 }
}//end loop


void Dice()
{
 while(1)
 {
 //時間計測してさいころの目を進める
  
  if(chk_Time())
  {
   count++;
   if(count > 6)
   {
    count = 1;
   }
  }
 
  Display();
  
  if(chk_SW() == true && shuffle == true)
  {
  shuffle = false;			//シャッフルフラグを降ろす
  break;
  }
  
 }

}//end Dice()



boolean chk_SW()		//ボタン状態確認
{
 readBUTTON = digitalRead(16);
 if(readBUTTON == true && lastBUTTON == false)
  {
   lastBUTTON = readBUTTON; 
   return true;
  }else 
  {
   lastBUTTON = readBUTTON; 
   return false;
  } 
  
}

boolean chk_Time()
{
 nowTime = millis();
 
 if(nowTime >= oldTime + scroll)
 {
   oldTime = nowTime;
   return true;
 }else
 {
   return false;
 }
}


//カウント数を見てLEDを表示させる関数
void Display(){
 switch(count){
  case 1:   LED_OFF();LED_1(); break;
  case 2:   LED_OFF();LED_2(); break;
  case 3:   LED_OFF();LED_3(); break;
  case 4:   LED_OFF();LED_4(); break;
  case 5:   LED_OFF();LED_5(); break;
  case 6:   LED_OFF();LED_6(); break;
  case 7:   LED_OFF();LED_7(); break;
  case 8:   LED_OFF();LED_8(); break;
  case 9:   LED_OFF();LED_9(); break;
  case 10:  LED_OFF();LED_8(); break;
  default:  LED_OFF();break;
 }
}

//以下、LED点灯に関する関数
void RGB_OFF(){
analogWrite(LED_R,0);
analogWrite(LED_G,0);
analogWrite(LED_B,0);
}

void LED_OFF() {
 digitalWrite(4, LOW);
 digitalWrite(6, LOW);
 digitalWrite(7, LOW);
 digitalWrite(8, LOW);
 digitalWrite(11, LOW);
 digitalWrite(12, LOW);
 digitalWrite(13, LOW);
}

void LED_0() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, HIGH);
 digitalWrite(12, HIGH);
 digitalWrite(13, LOW);
}

void LED_1() {
 digitalWrite(4, LOW);
 digitalWrite(6, HIGH);
 digitalWrite(7, LOW);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, LOW);
}

void LED_2() {
 digitalWrite(4, HIGH);
 digitalWrite(6, LOW);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, HIGH);
}

void LED_3() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, HIGH);
}

void LED_4() {
 digitalWrite(4, LOW);
 digitalWrite(6, HIGH);
 digitalWrite(7, LOW);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

void LED_5() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, LOW);
 digitalWrite(11, LOW);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

void LED_6() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, LOW);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

void LED_7(){
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, LOW);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, LOW);
 digitalWrite(13, LOW);
}

void LED_8() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, HIGH);
 digitalWrite(11, HIGH);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}

void LED_9() {
 digitalWrite(4, HIGH);
 digitalWrite(6, HIGH);
 digitalWrite(7, HIGH);
 digitalWrite(8, LOW);
 digitalWrite(11, HIGH);
 digitalWrite(12, HIGH);
 digitalWrite(13, HIGH);
}
