/*
  toneMelody:メロディを奏でる
*/

#include <pitches.h>

/* 音階の指定方法
NOTE_C3		:ド
NOTE_CS3	:#ド
NOTE_D3		:レ
NOTE_DS3	:#レ
NOTE_E3		:ミ
NOTE_F3		:ファ
NOTE_FS3	:#ファ
NOTE_G3		:ソ
NOTE_GS3	:#ソ
NOTE_A3		:ラ
NOTE_AS3	:#ラ
NOTE_B3		:シ
NOTE_C4		:ド

音を出すときの命令は
tone(スピーカーのピン:2,音の高さ,長さ);
*/



//1回だけの演奏なのでsetupに書く
void setup() {
  //ドの音を出す
  tone(2, NOTE_C3,500); 
 /*すぐ次の音を出し始めないように
  * 先ほどの音の長さの1.3倍ぐらいの待ち時間を入れる*/
  delay(650);
  //ソの音
  tone(2, NOTE_G3,500);  
  delay(650);
  //ラの音  
  tone(2, NOTE_A3,500);  
  delay(650);
  //ソの音  
  tone(2, NOTE_G3,500);  
  delay(650);
  //上のドの音 
  tone(2, NOTE_C4,1000);  
  delay(1300);
  }

void loop() {
    
}
